Summary:	Visual diff and merge tool
Summary(pl.UTF-8):	Wizualne narzędzie do oglądania i włączania zmian (diff)
Name:		meld
Version:	3.16.4
Release:	1
License:	GPL
Group:		Applications/Text
Source0:	http://ftp.gnome.org/pub/GNOME/sources/meld/3.16/%{name}-%{version}.tar.xz
# Source0-md5:	f1dc544cc46ead1369bb424759bd2c05
Patch0:		%{name}-desktop.patch
URL:		http://meld.sourceforge.net/
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	python-modules >= 2.7
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.34
Requires:	gtk+3 >= 3.6
Requires:	gtksourceview3 >= 3.6
Requires:	hicolor-icon-theme
Requires:	pango >= 1:1.26
Requires:	python-modules >= 2.7
Requires:	python-pycairo
Requires:	python-pygobject3 >= 3.8
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Meld is a GNOME visual diff and merge tool. It integrates especially
well with CVS. The diff viewer lets you edit files in place (diffs
update dynamically), and a middle column shows detailed changes and
allows merges. The margins show location of changes for easy
navigation, and it also features a tabbed interface that allows you to
open many diffs at once.

%description -l pl.UTF-8
Meld to przeznaczone dla GNOME wizualne narzędzie do oglądania i
włączania zmian (w formacie diff). Integruje się szczególnie dobrze z
CVS. Przeglądarka różnic pozwala modyfikować pliki w miejscu
(dynamicznie uaktualniać), a środkowa kolumna pokazuje szczegółowe
zmiany i pozwala na włączanie. Na marginesach jest pokazane położenie
zmian w celu łatwej nawigacji. Jest dostępny także interfejs z
zakładkami, pozwalający na otwieranie wielu plików diff naraz.

%prep
%setup -q
%patch0 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py \
	--no-compile-schemas \
	--no-update-icon-cache \
	build --build-base=build-2 \
	install --skip-build \
	--prefix=%{_prefix} \
	--install-purelib=%{py_sitescriptdir} \
	--install-platlib=%{py_sitedir} \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%{__rm} -r $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/%{name}
%dir %{py_sitescriptdir}/meld-*.egg-info
%dir %{py_sitescriptdir}/%{name}
%{py_sitescriptdir}/%{name}/*.py[co]
%dir %{py_sitescriptdir}/%{name}/ui
%{py_sitescriptdir}/%{name}/ui/*.py[co]
%dir %{py_sitescriptdir}/%{name}/util
%{py_sitescriptdir}/%{name}/util/*.py[co]
%dir %{py_sitescriptdir}/%{name}/vc
%{py_sitescriptdir}/%{name}/vc/*.py[co]
%{_iconsdir}/hicolor/*/actions/*.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%{_iconsdir}/hicolor/*/apps/meld-version-control.png
%{_iconsdir}/HighContrast/scalable/apps/meld.svg
%{_datadir}/%{name}
%{_datadir}/appdata/meld.appdata.xml
%{_datadir}/glib-2.0/schemas/org.gnome.meld.gschema.xml
%{_datadir}/mime/packages/meld.xml
%{_desktopdir}/%{name}.desktop
%{_mandir}/man1/%{name}.1*
%changelog
* Fri Dec 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/meld.git;a=log;h=master

* Fri Dec 30 2016 Marcin Banasiak <marcin.banasiak@gmail.com> ad8517f
- Update to 3.16.4

* Sat Oct 01 2016 Jan Palus <atler@pld-linux.org> 4795239
- up to 3.16.3

* Sun Jul 31 2016 Jan Palus <atler@pld-linux.org> 118c8d3
- up to 3.16.2

* Sun Jun 19 2016 Jan Palus <atler@pld-linux.org> 25711f3
- up to 3.16.1

* Sun May 01 2016 Jan Palus <atler@pld-linux.org> c9e07c5
- up to 3.16.0

* Sat Dec 19 2015 Jan Palus <atler@pld-linux.org> 7f499af
- expand %py_install macro to pass additional options to setup.py

* Thu Dec 17 2015 Jan Palus <atler@pld-linux.org> 6b36fe2
- use new %py_* macros

* Thu Dec 17 2015 Jan Palus <atler@pld-linux.org> 1308d72
- up to 3.15.1

* Mon Oct 19 2015 Jan Palus <atler@pld-linux.org> 73deda1
- up to 3.15.0

* Sun Aug 16 2015 Jan Palus <atler@pld-linux.org> 3137998
- up to 3.14.0

* Sun Jul 12 2015 Jan Palus <atler@pld-linux.org> a7e6122
- up to 3.13.3

* Sun Jun 14 2015 Jan Palus <atler@pld-linux.org> d8abce5
- up to 3.13.1

* Tue Feb 24 2015 Mateusz Korniak <matkor@pld-linux.org> e211386
-  R: python-pycairo. Rel 2.

* Tue Dec 30 2014 Jan Palus <atler@pld-linux.org> 384f914
- up to 3.12.3

* Thu Nov 27 2014 Jan Palus <atler@pld-linux.org> 1e2c207
- updated Rs based on README and import list

* Thu Nov 27 2014 Mateusz Korniak <matkor@pld-linux.org> 21ebce6
- rel 2. Fails without gtksourceview3, added to R.

* Mon Nov 24 2014 Jan Palus <atler@pld-linux.org> b6b6239
- up to 3.12.2

* Sun Oct 26 2014 Jan Palus <atler@pld-linux.org> 7a68c63
- up to 3.12.1

* Sat Oct 04 2014 Jan Palus <atler@pld-linux.org> 91f6391
- seems to be noarch now
- added note about --skip-build

* Sat Oct 04 2014 Jan Palus <atler@pld-linux.org> c13bafe
- up to 3.12.0
- drop GNUMakefile patch (make/scrollkeeper no longer used)
- drop version_control_plugins_glob patch (plugins loading redesigned)

